Bug 29730 - Installer hangs when mounting IDE CDROM
Summary: Installer hangs when mounting IDE CDROM
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-27 12:30 UTC by Mogens Kjaer
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-21 14:25:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:084 normal SHIPPED_LIVE Kernel: Kernel: 2001-06-21 04:00:00 UTC

Description Mogens Kjaer 2001-02-27 12:30:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1orig i686)


I can't install neither fisher nor wolverine
on neither an IBM netfinity 3000 nor on an
IBM netvista.

Reproducible: Always
Steps to Reproduce:
1. Insert disc1
2. Boot
3. Hang
	

Actual Results:  Nothing :-)

I even can't switch consoles.

After installation via network, I can't use
the CDROM drive, unless I do "hdparm -d0 /dev/hdc"

So I suspect that my CDROM doesn't do DMA.

How do I disable DMA for the CDROM during the installation?

The BIOS offers two settings for the CDROM drive:
"High performance" and "compatible"; neither works.

Comment 1 Michael K. Johnson 2001-02-28 01:01:34 UTC
There will at least be an option to disable DMA; our current rawhide
kernel has ide<n>=nodma available.

Comment 2 Arjan van de Ven 2001-03-21 13:24:39 UTC
Can you do me a favour and past the output of
cat /proc/ide/hdc/model
here?
With that info we can auto-set your cdromdrive as "do not use DMA"

Comment 3 Mogens Kjaer 2001-03-21 14:13:40 UTC
Will this help during installation, or only after installation?

Both machines (IBM Netvista 6578 and Netfinity 3000) have
a drive identified as "CRD-8400B".

I tried booting the wolverine CD, specifying "linux ide1=nodma",
but it still hangs.

Mogens

Comment 4 Arjan van de Ven 2001-03-21 14:19:43 UTC
Thanks for the drive ID; it's added to the automatic "do not do DMA" list.
As for ide1=nodma, the option didn't work too well and got changed to
"ide=nodma" which turns of DMA for all drives... 
the automatic list is MUCH better...

Comment 5 Mogens Kjaer 2001-03-21 14:22:32 UTC
Yes, but is this list used during _installation_?

Comment 6 Arjan van de Ven 2001-03-21 14:25:14 UTC
Absolutely. It's an in-kernel list of known-bad devices for which the kernel
should not attempt DMA.

Comment 7 jmbastia 2001-05-18 18:31:23 UTC
I have two labs filled with 50 some computers with CRD-8400C and CRD-8480M
CD-ROM drives, and the computers freeze when installing from the CD.  I got
around the problem by installing over the network, however, under normal usage
of the computer, the machine freezes when trying to 'mount /mnt/cdrom'

As mentioned in the above comments, hdparm fixes the drive.  I used different
options, though.  My rc.local script runs 'hdparm -d1 -X34 /dev/hdc'

I'm just letting you know the model numbers and my work-around so you can add
them to your "do not do DMA list".

Comment 8 Arjan van de Ven 2001-05-18 18:36:59 UTC
jmbastia@mtu.edu: there is a "ide=nodma" option you could have used
on the syslinux prompt.
I'll add the drives to the blacklist.
Thanks for reporting.

Comment 9 Jim deFriess 2003-12-13 00:57:18 UTC
samsung cd-rom sc-140 has the same problem.  I could not mount it
after CD install until i did hdparm -d0 /dev/hdc. for now everything i
know of works.


Note You need to log in before you can comment on or make changes to this bug.